Bug 196977 - Yum fails all entries
Yum fails all entries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 18:03 EDT by Bob Agel
Modified: 2014-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 20:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pup dump file (1.38 KB, application/octet-stream)
2006-06-27 18:57 EDT, Bob Agel
no flags Details
/etc/yum/* (238 bytes, application/octet-stream)
2006-06-28 07:15 EDT, Bob Agel
no flags Details
yum.repos.d (6.56 KB, text/x-dsrc)
2006-06-28 07:17 EDT, Bob Agel
no flags Details

  None (edit)
Description Bob Agel 2006-06-27 18:03:00 EDT
Description of problem: Since updates of 6/27/06, yum now fails to accept any
entries (yum update, yum search, etc.) with error: 
Options Error: invalid boolean value

As info, here's the updates from 6/27:

gpg-pubkey-a109b1ec-3f6e28d5                  Tue 27 Jun 2006 08:16:52 AM EDT
gpg-pubkey-a109b1ec-3f6e28d5                  Tue 27 Jun 2006 08:17:09 AM EDT
libmad-0.15.1-2.b.lvn5                        Tue 27 Jun 2006 08:19:16 AM EDT
a52dec-0.7.4-9.lvn5                           Tue 27 Jun 2006 08:19:24 AM EDT
libdvdread-0.9.4-4.lvn5                       Tue 27 Jun 2006 08:19:25 AM EDT
libid3tag-0.15.1b-2.fc5                       Tue 27 Jun 2006 08:19:25 AM EDT
libsidplay-1.36.57-10.fc5                     Tue 27 Jun 2006 08:19:26 AM EDT
mpeg2dec-0.4.0-5.b.lvn5                       Tue 27 Jun 2006 08:19:26 AM EDT
gstreamer-plugins-ugly-0.10.2-1.lvn5          Tue 27 Jun 2006 08:19:27 AM EDT
lame-3.96.1-6.lvn5                            Tue 27 Jun 2006 08:19:27 AM EDT
faad2-2.0-17.20050131.lvn6                    Tue 27 Jun 2006 08:21:21 AM EDT
xvidcore-1.1.0-2.lvn5                         Tue 27 Jun 2006 08:21:21 AM EDT
aalib-1.4.0-0.rc5.7                           Tue 27 Jun 2006 08:21:22 AM EDT
enca-1.9-2.fc5                                Tue 27 Jun 2006 08:21:22 AM EDT
libmpcdec-1.2.2-2.fc6                         Tue 27 Jun 2006 08:21:22 AM EDT
directfb-0.9.24-5.fc5                         Tue 27 Jun 2006 08:21:23 AM EDT
lzo-1.08-6.fc5                                Tue 27 Jun 2006 08:21:23 AM EDT
gsm-1.0.10-10.lvn5                            Tue 27 Jun 2006 08:21:24 AM EDT
lirc-0.8.0-3.fc5                              Tue 27 Jun 2006 08:21:25 AM EDT
portaudio-18.1-7.fc5                          Tue 27 Jun 2006 08:21:25 AM EDT
faac-1.24-5.lvn5                              Tue 27 Jun 2006 08:21:28 AM EDT
libmp4v2-1.4.1-3.lvn5                         Tue 27 Jun 2006 08:21:28 AM EDT
ffmpeg-0.4.9-0.22.20060617.lvn6               Tue 27 Jun 2006 08:21:29 AM EDT
mplayer-1.0-0.44.pre8.lvn6                    Tue 27 Jun 2006 08:21:30 AM EDT
mplayer-gui-1.0-0.44.pre8.lvn6                Tue 27 Jun 2006 08:21:30 AM EDT
mplayer-fonts-1.1-3.lvn5                      Tue 27 Jun 2006 08:21:36 AM EDT
mplayer-skins-1.5-1.lvn6                      Tue 27 Jun 2006 08:21:38 AM EDT
SDL_ttf-2.0.7-4.fc5                           Tue 27 Jun 2006 08:47:22 AM EDT
ppracer-0.3.1-6                               Tue 27 Jun 2006 08:47:29 AM EDT
viruskiller-1.0-1.fc5                         Tue 27 Jun 2006 08:47:32 AM EDT
qt-3.3.6-8                                    Tue 27 Jun 2006 02:57:15 PM EDT
xorg-x11-server-Xorg-1.1.0-23                 Tue 27 Jun 2006 02:57:26 PM EDT
kdenetwork-3.5.3-3                            Tue 27 Jun 2006 02:57:59 PM EDT
SDL-1.2.10-3                                  Tue 27 Jun 2006 02:58:18 PM EDT
parted-1.7.1-8                                Tue 27 Jun 2006 02:58:20 PM EDT
evolution-2.7.3-4                             Tue 27 Jun 2006 02:58:38 PM EDT
sqlite-3.3.6-1                                Tue 27 Jun 2006 02:59:07 PM EDT
xorg-x11-drv-ati-6.6.1-2                      Tue 27 Jun 2006 02:59:08 PM EDT
xorg-x11-drv-nv-1.1.2-2                       Tue 27 Jun 2006 02:59:08 PM EDT
qt-devel-3.3.6-8                              Tue 27 Jun 2006 02:59:19 PM EDT
util-linux-2.13-0.28                          Tue 27 Jun 2006 02:59:23 PM EDT
kernel-2.6.17-1.2318_FC6                      Tue 27 Jun 2006 02:59:50 PM EDT
logwatch-7.3-3                                Tue 27 Jun 2006 03:00:09 PM EDT
system-config-rootpassword-1.1.9-1            Tue 27 Jun 2006 03:00:12 PM EDT
autofs-5.0.0_beta5-4                          Tue 27 Jun 2006 03:00:14 PM EDT
gnupg-1.4.4-3                                 Tue 27 Jun 2006 03:00:16 PM EDT
iproute-2.6.16-3                              Tue 27 Jun 2006 03:00:18 PM EDT
kdemultimedia-3.5.3-4                         Tue 27 Jun 2006 03:00:38 PM EDT
kdemultimedia-devel-3.5.3-4                   Tue 27 Jun 2006 03:00:41 PM EDT

Livna enabled to test mp3's, multimedia.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bob Agel 2006-06-27 18:57:19 EDT
Created attachment 131638 [details]
pup dump file
Comment 2 Bob Agel 2006-06-27 18:58:39 EDT
Updates were done with Yumex 1.1.0, which now fails as well as PUP - see
attached dump file.  
Comment 3 Jeremy Katz 2006-06-27 19:35:29 EDT
You have a plugin or config file that's broken -- can you attach the contents of
/etc/yum.conf and /etc/yum/*
Comment 4 Bob Agel 2006-06-27 19:39:57 EDT
yum.conf:

[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
metadata_expire=1800

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d


/etc/yum/*

total 28
drwxr-xr-x 2 root root 4096 Jun 27 17:21 ./
drwxr-xr-x 3 root root 4096 Jun 21 22:40 ../
-rw-r--r-- 1 root root   84 Jun 27 17:21 installonlyn.conf
-rw-r--r-- 1 root root   84 Jun 20 22:15 installonlyn.conf~
Comment 5 Seth Vidal 2006-06-27 21:52:46 EDT
Please attach or include the contents of:
/etc/yum.repos.d/*.repo
/etc/yum/*

don't just list the files - give us the content.
Comment 6 Bob Agel 2006-06-28 07:15:22 EDT
Created attachment 131654 [details]
/etc/yum/*
Comment 7 Bob Agel 2006-06-28 07:17:07 EDT
Created attachment 131655 [details]
yum.repos.d

Sorry for the lapse - files attached.
Comment 8 Bob Agel 2006-06-28 07:21:35 EDT
SOLVED!  After reviewing /etc/yum/pluginconf.d, changed '3' to '1' and yum again
is functional.
Comment 9 Rahul Sundaram 2006-07-20 20:01:00 EDT
Closing as per last comment. Thanks

Note You need to log in before you can comment on or make changes to this bug.